<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";


if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if ($dostup==101 || $dostup==102 || $dostup==103){

##########################################################################
##                         Главная страница 
##########################################################################

echo '<img src="../images/img/partners.gif" alt=""> <b>Список админов и модеров</b><br><br>';

foreach (glob(BASEDIR."local/profil/*.prof") as $filename) {
$array_allusers[] = basename($filename);
}	

foreach($array_allusers as $value){

$tex = file_get_contents(BASEDIR."local/profil/$value");
$data = explode(":||:",$tex);
if($data[7]>=101 && $data[7]<=105){

$dat_user[]=$data[0];
$dat_status[]=$data[7];
}

}


asort($dat_status);	

foreach($dat_status as $k=>$v){ $gg++;

echo '<img src="../images/img/chat.gif" alt=""> '.$gg.'. <b><a href="../pages/anketa.php?uz='.$dat_user[$k].'&amp;'.SID.'"> '.$dat_user[$k].' </a></b> ('.user_status($dat_status[$k]).') '.user_online($dat_user[$k]).'<br>';	
if ($dostup==101){
echo '<img src="../images/img/edit.gif" alt=""> <a href="users.php?action=edit&amp;users='.$dat_user[$k].'&amp;'.SID.'">Изменить</a><hr>';
}}
	


echo'<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?isset=404&".SID);}
} else {header ("Location: ../index.php?isset=404&".SID);}

include_once"../themes/$config_themes/foot.php";
?>
